aospDeviceOwnerDeviceConfiguration を更新する

名前空間: microsoft.graph

大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

aospDeviceOwnerDeviceConfiguration オブジェクトのプロパティを更新します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校のアカウント) DeviceManagementConfiguration.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementConfiguration.ReadWrite.All

HTTP 要求

PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}/groupAssignments/{deviceConfigurationGroupAssignmentId}/deviceConfiguration
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations/{deviceConfigurationId}

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で 、aospDeviceOwnerDeviceConfiguration オブジェクトの JSON 表記を指定します。

次の表に 、aospDeviceOwnerDeviceConfigurationを作成するときに必要なプロパティを示します。

プロパティ 種類 説明
id String エンティティのキー。 deviceConfiguration から継承します
lastModifiedDateTime DateTimeOffset オブジェクトの最終更新の DateTime。 deviceConfiguration から継承します
roleScopeTagIds String collection この Entity インスタンスのスコープ タグの一覧。 deviceConfiguration から継承します
supportsScopeTags Boolean 基になるデバイス構成がスコープ タグの割り当てをサポートするかどうかを示します。 ScopeTags プロパティへの割り当ては、この値が false で、エンティティがスコープ付きユーザーに表示されない場合は許可されません。 これは Silverlight で作成された従来のポリシーで発生し、Azure Portal でポリシーを削除して再作成することで解決できます。 このプロパティに値を設定するには、 SetExtrusionDirection メソッドを適用します。 deviceConfiguration から継承します
deviceManagementApplicabilityRuleOsEdition deviceManagementApplicabilityRuleOsEdition このポリシーの OS エディションの適用性。 deviceConfiguration から継承します
deviceManagementApplicabilityRuleOsVersion deviceManagementApplicabilityRuleOsVersion このポリシーの OS バージョンの適用ルール。 deviceConfiguration から継承します
deviceManagementApplicabilityRuleDeviceMode deviceManagementApplicabilityRuleDeviceMode このポリシーのデバイス モードの適用ルール。 deviceConfiguration から継承します
createdDateTime DateTimeOffset オブジェクトが作成された DateTime。 deviceConfiguration から継承します
description String 管理者が指定した、デバイス構成についての説明。 deviceConfiguration から継承します
displayName String 管理者が指定した、デバイス構成の名前。 deviceConfiguration から継承します
version Int32 デバイス構成のバージョン。 deviceConfiguration から継承します
appsBlockInstallFromUnknownSources Boolean ユーザーが不明なソース設定を有効にできるかどうかを示します。 true に設定すると、ユーザーは不明なソース設定を有効にできます。
bluetoothBlocked Boolean Bluetooth の使用を無効にするかどうかを示します。 true に設定すると、デバイスで Bluetooth を有効にできません。
bluetoothBlockConfiguration Boolean ユーザーが Bluetooth の構成をブロックするかどうかを示します。
cameraBlocked Boolean カメラの使用を無効にするかどうかを示します。
factoryResetBlocked Boolean 設定の工場出荷時のリセット オプションが無効になっているかどうかを示します。
passwordMinimumLength Int32 デバイスに必要なパスワードの最小長を示します。 有効な値は 4 から 16 までです
passwordMinutesOfInactivityBeforeScreenTimeout Int32 画面がタイムアウトになるまでの非アクティブ時間 (分)。
passwordRequiredType androidDeviceOwnerRequiredPasswordType デバイスに必要な最小パスワード品質を示します。 可能な値は、deviceDefaultrequirednumericnumericComplexalphabeticalphanumericalphanumericWithSymbolslowSecurityBiometriccustomPassword です。
passwordSignInFailureCountBeforeFactoryReset Int32 デバイスがワイプされる前に、ユーザーが正しくないパスワードを入力できる回数を示します。 有効な値は 4 から 11 までです
screenCaptureBlocked Boolean スクリーンショットを撮る機能を無効にするかどうかを示します。
securityAllowDebuggingFeatures Boolean ユーザーがデバイスでデバッグ機能を有効にするかどうかを示します。
storageBlockExternalMedia Boolean 外部メディアをブロックするかどうかを示します。
storageBlockUsbFileTransfer Boolean USB ファイル転送をブロックするかどうかを示します。
wifiBlockEditConfigurations Boolean ユーザーが Wifi 接続設定の編集をブロックするかどうかを示します。

応答

成功した場合、このメソッドは応答コードと、応答本文で更新された 200 OK aospDeviceOwnerDeviceConfiguration オブジェクトを返します。

要求

以下は、要求の例です。

PATCH https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations/{deviceConfigurationId}
Content-type: application/json
Content-length: 1587

{
  "@odata.type": "#microsoft.graph.aospDeviceOwnerDeviceConfiguration",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "supportsScopeTags": true,
  "deviceManagementApplicabilityRuleOsEdition": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
    "osEditionTypes": [
      "windows10EnterpriseN"
    ],
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleOsVersion": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
    "minOSVersion": "Min OSVersion value",
    "maxOSVersion": "Max OSVersion value",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleDeviceMode": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
    "deviceMode": "sModeConfiguration",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "description": "Description value",
  "displayName": "Display Name value",
  "version": 7,
  "appsBlockInstallFromUnknownSources": true,
  "bluetoothBlocked": true,
  "bluetoothBlockConfiguration": true,
  "cameraBlocked": true,
  "factoryResetBlocked": true,
  "passwordMinimumLength": 5,
  "passwordMinutesOfInactivityBeforeScreenTimeout": 14,
  "passwordRequiredType": "required",
  "passwordSignInFailureCountBeforeFactoryReset": 12,
  "screenCaptureBlocked": true,
  "securityAllowDebuggingFeatures": true,
  "storageBlockExternalMedia": true,
  "storageBlockUsbFileTransfer": true,
  "wifiBlockEditConfigurations": true
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 1759

{
  "@odata.type": "#microsoft.graph.aospDeviceOwnerDeviceConfiguration",
  "id": "c9e83a69-3a69-c9e8-693a-e8c9693ae8c9",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "supportsScopeTags": true,
  "deviceManagementApplicabilityRuleOsEdition": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
    "osEditionTypes": [
      "windows10EnterpriseN"
    ],
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleOsVersion": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
    "minOSVersion": "Min OSVersion value",
    "maxOSVersion": "Max OSVersion value",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleDeviceMode": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
    "deviceMode": "sModeConfiguration",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
  "description": "Description value",
  "displayName": "Display Name value",
  "version": 7,
  "appsBlockInstallFromUnknownSources": true,
  "bluetoothBlocked": true,
  "bluetoothBlockConfiguration": true,
  "cameraBlocked": true,
  "factoryResetBlocked": true,
  "passwordMinimumLength": 5,
  "passwordMinutesOfInactivityBeforeScreenTimeout": 14,
  "passwordRequiredType": "required",
  "passwordSignInFailureCountBeforeFactoryReset": 12,
  "screenCaptureBlocked": true,
  "securityAllowDebuggingFeatures": true,
  "storageBlockExternalMedia": true,
  "storageBlockUsbFileTransfer": true,
  "wifiBlockEditConfigurations": true
}